# Risks ⚠️

The mango protocol charges 0 fees on interests, as a result the protocol does not have an insurance fund. When a margin account has negative equity, the losses are socialized among the lenders. There is obviously the risk that a user loses his margin account to a liquidator when his account goes below the required maintenance collateral ratio \(MCR\) of 110%. But there is an even bigger risk to the ecosystem when a margin account falls below 100% collateral ratio. At this point, the value of the account's liabilities are larger than the value of assets. In this situation, the liquidator is provided a 1% incentive to liquidate and lenders collectively take the negative equity of the account. In rare circumstances, this could even trigger a liquidation cascade where the socialized losses trigger more accounts to fall below 100% collateral ratio.

We believe users should be aware of all the risks. That being said, we think socialized losses and especially liquidation cascades are extremely unlikely events. Given Solana's speed, a liquidator will most likely be able to liquidate an account as soon as it falls below MCR. Even if an account falls below 100%, we think it's unlikely to go far below. And even if it goes far below we believe it's unlikely that this drags other margin accounts below 100%.

Smart contract bugs are another major risk. We are working with the Solana team to get other experienced devs to critically read the smart contract before we open source it. After we open source it, we will have bug bounties for developers to privately share any bugs in the code with us. While we encourage caution in these initial days, we believe that in the long run, open source and transparent protocols like Mango Markets will be a safer way to trade and store your money than centralized alternatives.

