---
description: Permissionless trading, powered by Mango.
---

# 📈 Trading

* Perpetual futures up to 20x leverage on Mango's orderbook and 10x spot margin trading through Serum DEX
* Cross Margin and Cross Collateralized&#x20;
* Highest Serum fee tier achieved by all traders from a generously deposited MSRM&#x20;

## **Welcome to** 🥭 Market**s**

Use the Mango interface to interact with the protocol to margin trade on the Serum DEX markets as well as trade leveraged perpetual futures, all within one unified interface.&#x20;

Trade spot margined markets with up to 5x leverage and perpetual futures markets with up to 20x leverage. Long and short everything, with limit or market orders, many [advanced orders](../faqs/trade-order-types.md).&#x20;

**Check out the** [**trade page.** ](https://trade.mango.markets)****

![](../.gitbook/assets/tradeee.png)

_Mango users save substantially on Serum DEX trading fees_; [Serum](https://projectserum.com) powers mangos spot margined markets. SRM deposits are pooled together to give every Mango user the ability to save substantially on taker fees. There is more info below under [Fee Discounts](<../README (1).md#how-to-view-fee-discounts-contribute-srm>).&#x20;

## **Navigating the Markets**

To get to the markets, click "Trade" in the main navigation, You should see all the _Markets Menu_ right above the exchange tooling (trading view, order-books, etc).

![](<../.gitbook/assets/markets (1).png>)

Mango also gives you the ability to customize your experience, decide what markets you want to see or not see. &#x20;

![](../.gitbook/assets/markets2.png)

## Asset Details&#x20;

Assets have different maximum and maintenance leverage specifications. For  the specifics by asset please see: \
\
[Spot Assets](../mango/token-specs.md) \
[Perpetual Futures](../mango/perp-contract-specs.md) &#x20;

## More Customization&#x20;

Mango offers you the ability to customize you trading experience. Create multiple accounts, choose theme styling, adjust window size & placement, switch order-book type, and utilize the trading view to its full extent.

![](../.gitbook/assets/customize.png)

## Placing a Trade on 🥭&#x20;

To place an order, first decide whether you want to Buy or Sell an asset.&#x20;

Note when doing limit orders, the options of POST and IOC.&#x20;

* When IOC (Immediate or Cancel) is selected - if an order is placed and not filled immediately, it's canceled.&#x20;
* When POST is selected, limit orders are added to the order book and earn maker fees if filled.&#x20;
* POST orders will always be the 'maker'.

![](../.gitbook/assets/trademodal.png)

Limit orders open an order at a set price. If the price action of an asset in the order-book reaches that price, the order will get filled. &#x20;

![](../.gitbook/assets/market.png)

Market orders hit the book immediately on the bid or ask side depending on if you bought or sold, the position then fills at an average price of the orders taken.

![](../.gitbook/assets/limit.png)

Spot margined positions can be viewed under your accounts tab within your portfolio view under "Balances", Perpetual positions can be viewed.&#x20;

![](../.gitbook/assets/positions.png)

**For Spot margined markets** to make a leveraged trade, place an order with a size greater than your deposit value; funds are automatically borrowed or utilize the leverage slider to decide your risk or don't worry about margin or leverage at all and treat it as a spot market; Simply exchange for the even value of another asset.

![](../.gitbook/assets/sporttop.png)

**For perpetual futures markets** to make a leveraged trade is very similar, except your are not buying the asset in question, you are simply buying exposure to that asset and its price movements, positions can be view under the perp positions tab under or under accounts tab.&#x20;

![](../.gitbook/assets/perpep.png)

## Spot Margined Markets&#x20;

Mango and its spot margined markets are built on top of the Serum DEX ecosystem. Mango's risk engine allows users to trade Serem DEX's order-books with up to 5x leverage.&#x20;

![](../.gitbook/assets/sport.png)

## Perpetual Futures Markets&#x20;

Mango also offers perpetual futures built on the Mango protocol with its own order-book. Trade with up to 10x leverage and enjoy permissionless price exposure to any of the assets int he mango group. (currently there is only BTC-PERP, but will be adding more markets soon)&#x20;

![](../.gitbook/assets/perp.png)

## 🥭 **pays the Lowest Fees**&#x20;

Mango traders save substantially on Serum DEX trading fees by pooling SRM together in Mango. Serum's tier structure determines fee rates based on the amount of SRM held in an account; the more SRM in an account, the less you pay in fees and the more you earn as a maker. The highest tier is 1 MegaSerum(MSRM)and unrealistic for most people to obtain.&#x20;

Luckily, Mango utilized a generously deposited MSRM so all users collectively reach the highest tier and benefit together when trading on the platform.&#x20;

## **Swap**

Mango provides the ability to swap for any Solana asset though Jupiter Aggregator integration at  [https://trade.mango.markets/swap](https://trade.mango.markets/swap)\
\
This swap checks prices and routes across all Solana dApps so you know you're getting you get the best price. These swaps occur within your connected wallet and are not associated with your MangoAccount. \
\
Select the asset you'd like to swap away in the 'You Pay' box and the desired asset received in 'You Receive'. Enter the size of the swap in either assets native currency.&#x20;

![](<../.gitbook/assets/Screen Shot 2021-12-28 at 2.33.30 PM.png>)

The most efficient route will be highlighted. Click 'Swap' and confirm the transaction in wallet. The assets will appear in your connected wallet balances.&#x20;

## **Join the community** 👾

The Mango team is committed to providing a fully decentralized, open source, leveraged trading platform capable of matching a centralized-exchange feel with all the unique benefits of DeFi. We are excited to launch Mango Markets and continue bringing new leveraged trading products to life in decentralized form. Visit us at [mango.markets](https://mango.markets) to trade and lend.

Follow Mango Markets on Twitter and join the Discord for the latest updates.

twitter:[ https://twitter.com/mangomarkets](https://twitter.com/mangomarkets)

discord: [https://discord.gg/YpzUSTwd](https://discord.gg/P7TzZS9g)
